Subject: pgbrowse starts up but then dies ...

From: [email-masked]
Date: Wed, 15 Feb 1995 19:37:10 +0100 (GMT)

Hi,

I have *partially* solved the problem I posted a couple of weeks ago, by
recompiling wishpqx from the source. The binary which came with the newbie
distribution was giving a segmentation fault - possibly because I am running
X11R6 ...

Anyway, I now get the pgbrowse box up, and 'Connecting to localhost ...', but
it immediately dies. Postmaster *is* running. I am using Linux 1.1.59 and
tcl/tk, all from the Slackware 2.1.0 distribution.

It is probably something quite simple, but I know very little about tcl/tk ...
the errors that appear on stdout are below.

Thanks in advance for any help!

> pgbrowse
invalid command name "PQsethost"
    while executing
"error "invalid command name \"$name\"""
    invoked from within
"if {!$tcl_interactive || ([info level] > 2) || [info script] != ""} {
        error "invalid command name \"$name\""
    }"
    (procedure "tclx_unknown2" line 17)
    invoked from within
"tclx_unknown2 $args"
    invoked from within
"return [tclx_unknown2 $args]..."
    (procedure "unknown" line 8)
    invoked from within
"PQsethost $a1"
    ("sethost" arm line 1)
    invoked from within
"case $cmd in {
        host {PQhost}
        port {PQport}
        db {PQdb}
        dbs {return [Tku_ListboxDump .dbs.listbox]}
        sethost {PQfinish; PQsethost $a1}
        ..."
    (procedure "PQ" line 10)
    invoked from within
"PQ sethost $host"
    (procedure "GetDbs" line 6)
    invoked from within
"GetDbs localhost 4321"
    ("uplevel" body line 1)
    invoked from within
"uplevel 1 $args"
    invoked from within
"return [uplevel 1 $args]..."
    invoked from within
"if [auto_load [lindex $args 0]] {
        return [uplevel 1 $args]
    }"
    (procedure "unknown" line 2)
    invoked from within
"GetDbs $host $port"
    invoked from within
"if $PGB(-hide) {
        set PGB(dbs) $db
        PQ sethost $host
        PQ setport $port
        PQ setdb $db
        set n 0
        foreach c [split $query ,] {
                lappend PGBC(classes) $c ..."
    (file "/usr/local/postgres/pgbrowse/lib/init.tcl" line 267)
    invoked from within
"source /usr/local/postgres/pgbrowse/lib/init.tcl"

Tim.

 ________________________________________________
|                                                |
| From Tim Wadsworth: [email-masked] |
|________________________________________________|

==============================================================================
   To add/remove yourself to/from the POSTGRES mailing list: send mail with 
   the subject line ADD or DEL to "[email-masked]".
   If this fails, send mail to "[email-masked]" and
   a human will deal with it.  DO NOT post to the "postgres" mailing list.
==============================================================================
              URL: http://s2k-ftp.CS.Berkeley.EDU:8000/postgres/